package com.rv.version.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

public class VersionCheckBean extends BaseBean {
    private VersionBean data;
    private boolean rel;

    public VersionBean getData() {
        return data;
    }

    public void setData(VersionBean data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class VersionBean {
        private int id;
        private int sysType;
        private String version;
        private String versionName;
        private String packagesize;
        private String content;
        private String downloadUrl;
        private int downloadSwitch;
        private int isCompe ;
        private int weigh;
        private int crtTime;
        private int isDel;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getSysType() {
            return sysType;
        }

        public void setSysType(int sysType) {
            this.sysType = sysType;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getVersionName() {
            return versionName;
        }

        public void setVersionName(String versionName) {
            this.versionName = versionName;
        }

        public String getPackagesize() {
            return packagesize;
        }

        public void setPackagesize(String packagesize) {
            this.packagesize = packagesize;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getDownloadUrl() {
            return downloadUrl;
        }

        public void setDownloadUrl(String downloadUrl) {
            this.downloadUrl = downloadUrl;
        }

        public int getDownloadSwitch() {
            return downloadSwitch;
        }

        public void setDownloadSwitch(int downloadSwitch) {
            this.downloadSwitch = downloadSwitch;
        }

        public int getWeigh() {
            return weigh;
        }

        public void setWeigh(int weigh) {
            this.weigh = weigh;
        }

        public int getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(int crtTime) {
            this.crtTime = crtTime;
        }

        public int getIsDel() {
            return isDel;
        }

        public void setIsDel(int isDel) {
            this.isDel = isDel;
        }

        public int getIsCompe() {
            return isCompe;
        }

        public void setIsCompe(int isCompe) {
            this.isCompe = isCompe;
        }
    }
}
